import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterPayFactorService = createAsyncThunk(
  "SLAUGHTER_PAY_FACTOR_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post(
      "kill_request_factor_payment/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
